Debian Bug report logs - #595120
dependency loop

version graph

Package: mysql-server-5.1; Maintainer for mysql-server-5.1 is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>;

Reported by: Juha Heinanen <jh@tutpro.com>

Date: Wed, 1 Sep 2010 07:57:02 UTC

Severity: grave

Found in version mysql-5.1/5.1.49-1

Fixed in versions mysql-5.1/5.1.49-2.1, mysql-5.1/5.1.49-3

Done: Norbert Tretkowski <norbert@tretkowski.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#595120; Package mysql-server-5.1. (Wed, 01 Sep 2010 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 01 Sep 2010 07:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: submit@bugs.debian.org
Subject: dependency loop
Date: Wed, 1 Sep 2010 10:30:43 +0300
Package: mysql-server-5.1
Version: 5.1.49-1
Severity: grave
Justification: prevents installation of debian squeeze

there is dependency loop between mysql-server-5.1 package and
pdns-server package:

from message http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594805#35:

  pdns provides $named and wants to start after mysql, while mysql wants
  to start after $named.  This leads to this dependency loop: mysql ->
  $named -> pdns -> mysql -> $named.

the loop makes installation of pdns-server after mysql-server-5.1
impossible and after that installation of many other packages fail too.
see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594805#30 on how to
reproduce the problem.

i don't know how the init info system has been designed, but requiring
that mysql server must be started after named has been started makes no
sense, because existence of named on a host does not mean that mysql
server would use it.

in my opinion an entry should be included on init info Should-Start line
only a service only if the service would fail to start unless the other
service is already running.  this is not the case with mysqld, which
starts ok even when a name server deamon is not running.

so could you please drop $named from mysql init script Should lines.

i already tried to get mysql dropped from pdns Should lines, but failed
(debian bug 594805).

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#595120; Package mysql-server-5.1. (Wed, 01 Sep 2010 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 01 Sep 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 595120@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Juha Heinanen <jh@tutpro.com>, 595120@bugs.debian.org
Subject: Re: [debian-mysql] Bug#595120: dependency loop
Date: Wed, 01 Sep 2010 10:18:11 +0200
Hi Juha,

Am Mittwoch, den 01.09.2010, 10:30 +0300 schrieb Juha Heinanen:
> so could you please drop $named from mysql init script Should lines.

I think the reason why mysqld requires $named in the init script is the
possibility to use hostnames in the user table.

According to the documentation, MySQL attempts to resolve the host name
when a new client connects. But this may fail when another daemon which
requires access to MySQL during startup gets started between mysqld and
$named.

MySQL has an option called skip-name-resolve, but I don't think it's a
good idea to use it by default.

Suggestions?

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#595120; Package mysql-server-5.1. (Wed, 01 Sep 2010 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 01 Sep 2010 08:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 595120@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Norbert Tretkowski <norbert@tretkowski.de>
Cc: 595120@bugs.debian.org
Subject: Re: [debian-mysql] Bug#595120: dependency loop
Date: Wed, 1 Sep 2010 11:27:08 +0300
Norbert Tretkowski writes:

> I think the reason why mysqld requires $named in the init script is the
> possibility to use hostnames in the user table.

norbert,

thank you for your quick reply.

in order to use hostnames, mysql server requires capability to RESOLVE
names.  it does not require a working NAME SERVER running on the same
host, but just that one of the name servers listed on /etc/resolv.conf
responds or corresponding hostname entries exist in /etc/hosts file.

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#595120; Package mysql-server-5.1. (Thu, 07 Oct 2010 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Thu, 07 Oct 2010 08:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 595120@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: 595120@bugs.debian.org, Norbert Tretkowski <norbert@tretkowski.de>
Subject: suggstion for resolution to bug#595120 - skip-name-resolve in mysql-server-5.1
Date: Thu, 7 Oct 2010 01:12:39 -0700
Reverse-dns is one of the least reliable forms of host identification
one can use. While source IP address isn't much better, it at least
requires a full man in the middle or layer-2 compromise. With the
default setting in mysql of resolving each and every hostname, one
gets a false sense of security. Its quite simple for a dns cache
poisoning attack from anywhere to end up allowing somebody to connect
from the wrong host.

Also, running with skip-name-resolve means one less step to perform
while connecting to the server, resulting in lower connection
latency. It also means more reliability, as mysql will continue to
function even if its DNS resolvers are down.

Even if this option is left on, its reasonable to suggest that mysql
can be *started* before the local named that it might use is available
for resolving names. Any named that does rely on a local mysqld
should be configured, by default, to connect to mysql on the
localhost/unix socket anyway, so it won't cause any issues to place
it after mysqld for startup. Likewise, mysqld will be functional
enough to function for any local service that needs it between
starting and a local resolver starting.

Here is a debdiff which just removes $named from the Should portions.
While I do think skip-name-resolve is actually the better default
mode, it will likely break peoples systems on upgrade if it is
forcibly turned off, and could even open security holes if certain
hostnames have been restricted while others, like '%' have more
capabilities. That change would need to go into squeeze+1 after
some discussion and possibly include adding a debconf warning/question.


diff -u mysql-5.1-5.1.49/debian/mysql-server-5.1.mysql.init mysql-5.1-5.1.49/debian/mysql-server-5.1.mysql.init
--- mysql-5.1-5.1.49/debian/mysql-server-5.1.mysql.init
+++ mysql-5.1-5.1.49/debian/mysql-server-5.1.mysql.init
@@ -4,8 +4,8 @@
 # Provides:          mysql
 # Required-Start:    $remote_fs $syslog
 # Required-Stop:     $remote_fs $syslog
-# Should-Start:      $network $named $time
-# Should-Stop:       $network $named $time
+# Should-Start:      $network $time
+# Should-Stop:       $network $time
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
 # Short-Description: Start and stop the mysql database server daemon
diff -u mysql-5.1-5.1.49/debian/changelog mysql-5.1-5.1.49/debian/changelog
--- mysql-5.1-5.1.49/debian/changelog
+++ mysql-5.1-5.1.49/debian/changelog
@@ -1,3 +1,10 @@
+mysql-5.1 (5.1.49-1.1) unstable; urgency=low
+
+  * debian/mysql-server-5.1.mysql.init: Remove $named from 
+      Should-Start/Should-Stop (closes: #595120)
+
+ -- Clint Byrum <clint@ubuntu.com>  Thu, 07 Oct 2010 01:02:49 -0700
+
 mysql-5.1 (5.1.49-1) unstable; urgency=low
 
   * New upstream release.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#595120; Package mysql-server-5.1. (Sat, 27 Nov 2010 18:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <xoswald@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sat, 27 Nov 2010 18:54:15 GMT) Full text and rfc822 format available.

Message #25 received at 595120@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@debian.org>
To: 595120@bugs.debian.org, 601152@bugs.debian.org
Subject: mysql-5.1: diff for NMU version 5.1.49-2.1
Date: Sat, 27 Nov 2010 19:54:49 +0100
[Message part 1 (text/plain, inline)]
tags 595120 + pending
tags 601152 + pending
thanks

Dear maintainer,

I've prepared an NMU for mysql-5.1 (versioned as 5.1.49-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Xavier Oswald <xoswald@debian.org>
GNU/Linux Debian Developer - http://www.debian.org/
GPG key ID: 0x464B8DE3
[mysql-5.1-5.1.49-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Xavier Oswald <xoswald@debian.org> to control@bugs.debian.org. (Sat, 27 Nov 2010 18:54:18 GMT) Full text and rfc822 format available.

Reply sent to Xavier Oswald <xoswald@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 19:28:43 GMT) Full text and rfc822 format available.

Notification sent to Juha Heinanen <jh@tutpro.com>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 19:28:43 GMT) Full text and rfc822 format available.

Message #32 received at 595120-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@debian.org>
To: 595120-close@bugs.debian.org
Subject: Bug#595120: fixed in mysql-5.1 5.1.49-2.1
Date: Mon, 29 Nov 2010 19:17:55 +0000
Source: mysql-5.1
Source-Version: 5.1.49-2.1

We believe that the bug you reported is fixed in the latest version of
mysql-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/libmysqlclient-dev_5.1.49-2.1_amd64.deb
libmysqlclient16_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/libmysqlclient16_5.1.49-2.1_amd64.deb
libmysqld-dev_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/libmysqld-dev_5.1.49-2.1_amd64.deb
libmysqld-pic_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/libmysqld-pic_5.1.49-2.1_amd64.deb
mysql-5.1_5.1.49-2.1.diff.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.49-2.1.diff.gz
mysql-5.1_5.1.49-2.1.dsc
  to main/m/mysql-5.1/mysql-5.1_5.1.49-2.1.dsc
mysql-client-5.1_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/mysql-client-5.1_5.1.49-2.1_amd64.deb
mysql-client_5.1.49-2.1_all.deb
  to main/m/mysql-5.1/mysql-client_5.1.49-2.1_all.deb
mysql-common_5.1.49-2.1_all.deb
  to main/m/mysql-5.1/mysql-common_5.1.49-2.1_all.deb
mysql-server-5.1_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/mysql-server-5.1_5.1.49-2.1_amd64.deb
mysql-server-core-5.1_5.1.49-2.1_amd64.deb
  to main/m/mysql-5.1/mysql-server-core-5.1_5.1.49-2.1_amd64.deb
mysql-server_5.1.49-2.1_all.deb
  to main/m/mysql-5.1/mysql-server_5.1.49-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <xoswald@debian.org> (supplier of updated mysql-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 27 Nov 2010 17:43:13 +0100
Source: mysql-5.1
Binary: libmysqlclient16 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-core-5.1 mysql-server-5.1 mysql-server mysql-client
Architecture: source all amd64
Version: 5.1.49-2.1
Distribution: unstable
Urgency: high
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Xavier Oswald <xoswald@debian.org>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient16 - MySQL database client library
 libmysqld-dev - MySQL embedded database development files
 libmysqld-pic - MySQL database development files
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files, e.g. /etc/mysql/my.cnf
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries and system database setup
 mysql-server-core-5.1 - MySQL database server binaries
Closes: 595120 601152
Changes: 
 mysql-5.1 (5.1.49-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * debian/mysql-server-5.1.mysql.init: Remove $named from
     Should-Start/Should-Stop (closes: #595120).
     Thanks for Clint Byrum <clint@ubuntu.com> patch.
   * Update Portuguese translation (closes: #601152).
     Thanks for Miguel Figueiredo <elmig@debianpt.org> patch.
Checksums-Sha1: 
 60fa8bf294bf16af29b4f13003393fa7409f74e9 2339 mysql-5.1_5.1.49-2.1.dsc
 b6d3a0741f2993c1ba1da2e9cb41cc28f367de81 297884 mysql-5.1_5.1.49-2.1.diff.gz
 886548433222c8a3f7709dd3a13687f2494aa8c9 70896 mysql-common_5.1.49-2.1_all.deb
 54a71e746d546cfa6d0faa082276796fb9f9f4dc 64904 mysql-server_5.1.49-2.1_all.deb
 022cafdf9a18ec605d0c7ebeffcd14aa695a014b 64768 mysql-client_5.1.49-2.1_all.deb
 9c1e5b2e7c5f3e31d6d929a69735e5394939a480 1983498 libmysqlclient16_5.1.49-2.1_amd64.deb
 11e06d3b9f5bbde5473f8d369d4462015d552d36 4471088 libmysqld-pic_5.1.49-2.1_amd64.deb
 9c2f9cf93683b2a84cce8af0bdf32af96237b739 5720806 libmysqld-dev_5.1.49-2.1_amd64.deb
 2edc5eb455a0af4a3d4ae27cdcab1547cbb4ccf4 3217760 libmysqlclient-dev_5.1.49-2.1_amd64.deb
 645514a847b06f052b26eccc772b01821b65dd09 10056000 mysql-client-5.1_5.1.49-2.1_amd64.deb
 5d15181c802ef7dbbc7c049c8ae0462b23904bed 4123982 mysql-server-core-5.1_5.1.49-2.1_amd64.deb
 ff86b437c967cfad701c8c8a9cebb606052e2192 6605302 mysql-server-5.1_5.1.49-2.1_amd64.deb
Checksums-Sha256: 
 8e4363676849634cb32d6a7625b4ba8870adf682edd115c444fff5b38adad324 2339 mysql-5.1_5.1.49-2.1.dsc
 aebc0c3ca96248d00028c55b303537571b1216554bf9c5e2be475c9da001c1a0 297884 mysql-5.1_5.1.49-2.1.diff.gz
 2f745bd66326989102ab07e95b8ed60428ae29bdf21b09918e5d321fe7188c71 70896 mysql-common_5.1.49-2.1_all.deb
 311a6c649c8fd346e1c9515fe69ff532dba150b873826872b3ff89782ae7e10b 64904 mysql-server_5.1.49-2.1_all.deb
 d538da2ca449bb1dbd9d165f74307807e3a99b378d607c780b60f0bc550ec843 64768 mysql-client_5.1.49-2.1_all.deb
 6e54f4c44cb775759f5036d185519e2a11f84d0c1e032fbab9c60badf2a0faea 1983498 libmysqlclient16_5.1.49-2.1_amd64.deb
 e0ff752dc31e3e4aa618814d2f6d1a76675aff4aca4dd30dfdc44ed22b3f35b1 4471088 libmysqld-pic_5.1.49-2.1_amd64.deb
 b4a9148d3e4b12be79a21fa7c1fcff16e77d0bbc820f9b2b46758c9922343e1d 5720806 libmysqld-dev_5.1.49-2.1_amd64.deb
 7b7e93cd3f374c760a07b09315220da4825775fb3387f7038f30f28098a4b0e7 3217760 libmysqlclient-dev_5.1.49-2.1_amd64.deb
 bf4516b82d934846a69d7d34e8bff65f2b19bfc30c3fe7b202e6c99ae9c3acf7 10056000 mysql-client-5.1_5.1.49-2.1_amd64.deb
 90eecbb017fc957fa1b23a6e1cf04b01381114eca2d41519ceee8e360bb25c92 4123982 mysql-server-core-5.1_5.1.49-2.1_amd64.deb
 35b0da803ea6eae6a980e9d58fa226ffcf82ebad3cb936941cc98569aa74fc51 6605302 mysql-server-5.1_5.1.49-2.1_amd64.deb
Files: 
 97b5bf0017d84a2e9a00bdc39ce0ef64 2339 misc optional mysql-5.1_5.1.49-2.1.dsc
 9956998af662c895202c6581d12e1850 297884 misc optional mysql-5.1_5.1.49-2.1.diff.gz
 fc1b878880beb3edacab7afadf85b926 70896 database optional mysql-common_5.1.49-2.1_all.deb
 75fc329e5f86cf70f464014fb936d677 64904 database optional mysql-server_5.1.49-2.1_all.deb
 f4d6c6a2e22d1db888a8c426626110ac 64768 database optional mysql-client_5.1.49-2.1_all.deb
 14651c6f30d70c672be02e94b3e0e222 1983498 libs optional libmysqlclient16_5.1.49-2.1_amd64.deb
 4eac7e7dac3c8e6ffdd5961c0d408c84 4471088 libdevel optional libmysqld-pic_5.1.49-2.1_amd64.deb
 c13d886878c34baeb779f6f14dd60322 5720806 libdevel optional libmysqld-dev_5.1.49-2.1_amd64.deb
 58ec160b8c3236909e948294225a8dbd 3217760 libdevel optional libmysqlclient-dev_5.1.49-2.1_amd64.deb
 25340b872adcaca2e666e3cae81f9373 10056000 misc optional mysql-client-5.1_5.1.49-2.1_amd64.deb
 9937f407cff07178bc5271ad46dba0c4 4123982 misc optional mysql-server-core-5.1_5.1.49-2.1_amd64.deb
 3fa14d4692ebe58ceaa225a85d0ac7c1 6605302 misc optional mysql-server-5.1_5.1.49-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM8VLGAAoJEIW5DSNGS43j+gQQAJjmJzmUVJK61/BnepeRTGkD
VtwV6sK2lNbMHJPNFIhe7i1y69St7OVLz8W6xAl+Q85hUKQqUlhUdEk+m6ZiZOcr
zIGxMFN8ABijuAGOZYdSRiIN79EYl+xulWY0RhLefad9mnIFlhtXlRkEqstBQ1ly
D5dnOTZgvJlDFxa96cQwIfRXcEG33Wd4hZqU+oGxhW49b2/fkbE2KnO8DeHEBUOE
UGZfO2V1kJBWCu3T6J6kpUOhMTlKkBQj18zqf880zBHkQ5ZdBPhoy5ZnxqkP6sVU
OaJs/yurZryo0mJOFjqoXprCXIzNrxAk9/ES4h9oRW/8GZhrGrdrNY2Qs/FU6rH8
WzzoYwfbmcSM0+jK3iSyNceWsKzypG24+7zJEqfvqLovoxtcOuLwcWeimLNCkd9T
+B6jo9VOqUFZ87U533lizPyE6FPZpwyBRIYOjKqKeOh3Hcj6mQ6LMMhAf8v+Bz85
pEx/R6JGCRqhntP7Oq0I6rqEJwI3z4ZCfo5Qjnb9MyoC/pRmBZRaBCkLCcYoz+th
wzcorR2hdMK3+bGTD+yRXTMgNpk14T34aavXh7Kcv1CdJoJkK5B9xsTsSOWMz9oT
2OT3/JOVmXiwAEU4CVkT9aM0XUvmTNxjJuyuF8zOk1NMObVUV0HypP2n4n4YqTUL
t3qokzNwufI1X/xeFmvj
=adYq
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Tue, 30 Nov 2010 08:27:02 GMT) Full text and rfc822 format available.

Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. (Tue, 30 Nov 2010 17:54:03 GMT) Full text and rfc822 format available.

Notification sent to Juha Heinanen <jh@tutpro.com>:
Bug acknowledged by developer. (Tue, 30 Nov 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #39 received at 595120-close@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: 595120-close@bugs.debian.org
Subject: Bug#595120: fixed in mysql-5.1 5.1.49-3
Date: Tue, 30 Nov 2010 17:50:39 +0000
Source: mysql-5.1
Source-Version: 5.1.49-3

We believe that the bug you reported is fixed in the latest version of
mysql-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/libmysqlclient-dev_5.1.49-3_amd64.deb
libmysqlclient16_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/libmysqlclient16_5.1.49-3_amd64.deb
libmysqld-dev_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/libmysqld-dev_5.1.49-3_amd64.deb
libmysqld-pic_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/libmysqld-pic_5.1.49-3_amd64.deb
mysql-5.1_5.1.49-3.diff.gz
  to main/m/mysql-5.1/mysql-5.1_5.1.49-3.diff.gz
mysql-5.1_5.1.49-3.dsc
  to main/m/mysql-5.1/mysql-5.1_5.1.49-3.dsc
mysql-client-5.1_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/mysql-client-5.1_5.1.49-3_amd64.deb
mysql-client_5.1.49-3_all.deb
  to main/m/mysql-5.1/mysql-client_5.1.49-3_all.deb
mysql-common_5.1.49-3_all.deb
  to main/m/mysql-5.1/mysql-common_5.1.49-3_all.deb
mysql-server-5.1_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/mysql-server-5.1_5.1.49-3_amd64.deb
mysql-server-core-5.1_5.1.49-3_amd64.deb
  to main/m/mysql-5.1/mysql-server-core-5.1_5.1.49-3_amd64.deb
mysql-server_5.1.49-3_all.deb
  to main/m/mysql-5.1/mysql-server_5.1.49-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Tretkowski <norbert@tretkowski.de> (supplier of updated mysql-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 30 Nov 2010 09:20:33 +0100
Source: mysql-5.1
Binary: libmysqlclient16 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-core-5.1 mysql-server-5.1 mysql-server mysql-client
Architecture: source all amd64
Version: 5.1.49-3
Distribution: unstable
Urgency: high
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Norbert Tretkowski <norbert@tretkowski.de>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient16 - MySQL database client library
 libmysqld-dev - MySQL embedded database development files
 libmysqld-pic - MySQL database development files
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files, e.g. /etc/mysql/my.cnf
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries and system database setup
 mysql-server-core-5.1 - MySQL database server binaries
Closes: 595120 599937 601152
Changes: 
 mysql-5.1 (5.1.49-3) unstable; urgency=high
 .
   * SECURITY UPDATE: denial of service via incorrect propagation of type
     errors.
     - debian/patches/61_CVE-2010-3833.dpatch: properly check for execution
       errors in sql/item_func.cc. Add tests to mysql-test/*.
     - CVE-2010-3833
   * SECURITY UPDATE: denial of service via derived table materializing.
     - debian/patches/61_CVE-2010-3834.dpatch: handle temporary tables in
       sql/field.cc, sql/sql_select.*. Add tests to mysql-test/*.
     - CVE-2010-3834
   * SECURITY UPDATE: denial of service via user-variable assignment
     expression.
     - debian/patches/61_CVE-2010-3835.dpatch: fix logic in sql/item_func.*,
       Add tests to mysql-test/*.
     - CVE-2010-3835
   * SECURITY UPDATE: denial of service via pre-evaluation of LIKE
     predicates during view preparation.
     - debian/patches/61_CVE-2010-3836.dpatch: make sure we're not in view
       preparation mode in sql/item_cmpfunc.cc. Add tests to mysql-test/*.
     - CVE-2010-3836
   * SECURITY UPDATE: denial of service via use of GROUP_CONCAT() and
     WITH ROLLUP together.
     - debian/patches/61_CVE-2010-3837.dpatch: create a copy of the order
       structures in sql/item_sum.cc, sql/table.h. Add tests to
       mysql-test/*.
     - CVE-2010-3837
   * SECURITY UPDATE: denial of service via longblob and union or update
     with subquery.
     - debian/patches/61_CVE-2010-3838.dpatch: handle REAL_RESULT in
       sql/item_func.cc. Add tests to mysql-test/*.
     - CVE-2010-3838
   * SECURITY UPDATE: denial of service via certain queries with nested
     joins.
     - debian/patches/61_CVE-2010-3839.dpatch: fix nesting in
       sql/sql_select.cc. Add tests to mysql-test/*.
     - CVE-2010-3839
   * SECURITY UPDATE: denial of service via PolyFromWKB() function and
     improper data.
     - debian/patches/61_CVE-2010-3840.dpatch: improve data handling in
       sql/spatial.cc. Add tests to mysql-test/*.
     - CVE-2010-3840
 .
   * Patches and changelog entries taken from Ubuntu. (closes: #599937)
   * Import and ACK NMU 5.1.49-2.1. (closes: #595120, #601152)
Checksums-Sha1: 
 fa1648609817c68ccff6a29584d1ee2f87be9ae0 1691 mysql-5.1_5.1.49-3.dsc
 4e90d5db908befa1c7028a46f60fe5b2199ffd47 309780 mysql-5.1_5.1.49-3.diff.gz
 07a9a8693ef2f4606fd20b11ace6707f4a422439 70902 mysql-common_5.1.49-3_all.deb
 e599a7a27bd36ee98e803d0ab69d260872ee06fa 65362 mysql-server_5.1.49-3_all.deb
 82251fa5b5c7d3cbe733325fb86b0cff2c52b0ac 65230 mysql-client_5.1.49-3_all.deb
 823a7e43cf087dcb21e8074493f66908f7451e3e 1984664 libmysqlclient16_5.1.49-3_amd64.deb
 925601232662a893e02df6674b44ca49c4534dd3 4472880 libmysqld-pic_5.1.49-3_amd64.deb
 9b253c6ecf7ce0f551689a7396b39ee4782d155d 5723926 libmysqld-dev_5.1.49-3_amd64.deb
 10969fc1857f0570f8ac5d76a65c82df238a4104 3214180 libmysqlclient-dev_5.1.49-3_amd64.deb
 548cd2ad421c79c0797e51291be07416f5c90bba 10061854 mysql-client-5.1_5.1.49-3_amd64.deb
 f764918e8d41a3e6b8ddf10421cec2e6c8aa1753 4124484 mysql-server-core-5.1_5.1.49-3_amd64.deb
 59243748f13170d8dee141b0e7cda85cdd7626b0 6597864 mysql-server-5.1_5.1.49-3_amd64.deb
Checksums-Sha256: 
 e741e48d8cc1e7e4e76d036209027a20a3a022550be828f596052b63629af59f 1691 mysql-5.1_5.1.49-3.dsc
 da3b957a1488ada3702837c4eb99d5fa5c5e372624d4fd0fdcd60144acd452c2 309780 mysql-5.1_5.1.49-3.diff.gz
 771fdb57c733c2b2ecd6cb95085a8f3009972482c86c019086d9342a8a06b0af 70902 mysql-common_5.1.49-3_all.deb
 374b96fd166858144b6881b77692cc924d3dc48694f3f191c8232b79a37dab1d 65362 mysql-server_5.1.49-3_all.deb
 52dfec30c164b7d5d0e3f38d0cc365e28479b969526a083417602c7feadbcd30 65230 mysql-client_5.1.49-3_all.deb
 f92eb226d2c91b29511ff6e1a1a7f6661900e7a9c506e1f33774466234f0f59c 1984664 libmysqlclient16_5.1.49-3_amd64.deb
 20cd52e33d86226310a927ff690a9f3eaa61130ae7d706a0f6a312d020e6afd9 4472880 libmysqld-pic_5.1.49-3_amd64.deb
 83c1abd358e43fa68036a842237a43c3274baddbb357b2a1c76f27bd84489c16 5723926 libmysqld-dev_5.1.49-3_amd64.deb
 fd79ccb664927897a30470ba15996380de6a57a82d80e4cc8c8133e82da3a1b4 3214180 libmysqlclient-dev_5.1.49-3_amd64.deb
 90af0ebf2cf4fbacc6edb834c40624f00df4c7e4a61e91881d61c8ad86b6ee34 10061854 mysql-client-5.1_5.1.49-3_amd64.deb
 e8e172a63f38a0cb5f958892332b70e6d18dffbe4c9a65bebfaf648b82c6108a 4124484 mysql-server-core-5.1_5.1.49-3_amd64.deb
 29cf9d1113d05417ef2953fe5fc9ae775098845d7c3bf78bd84c2f8449ba2221 6597864 mysql-server-5.1_5.1.49-3_amd64.deb
Files: 
 004c9a0cf78450928dcecb4470fd93ee 1691 misc optional mysql-5.1_5.1.49-3.dsc
 831c9982f01f102272d392ec91677efb 309780 misc optional mysql-5.1_5.1.49-3.diff.gz
 a178be7445c5b371d894ab93fb78e84a 70902 database optional mysql-common_5.1.49-3_all.deb
 01c389a62efe0a093c1862045e639367 65362 database optional mysql-server_5.1.49-3_all.deb
 e062be52d2218c3674f8660404f2fc20 65230 database optional mysql-client_5.1.49-3_all.deb
 b9948aaa21e9eb3773e336f0aa268429 1984664 libs optional libmysqlclient16_5.1.49-3_amd64.deb
 0695b79e138ecadd27d265f90a657cc4 4472880 libdevel optional libmysqld-pic_5.1.49-3_amd64.deb
 170d06096bf1c4823e51c73b4a2440c8 5723926 libdevel optional libmysqld-dev_5.1.49-3_amd64.deb
 c4f594dd8aaa64fedf347414efaf9b31 3214180 libdevel optional libmysqlclient-dev_5.1.49-3_amd64.deb
 73c2d45313767ba5713cc1c4dccd8514 10061854 misc optional mysql-client-5.1_5.1.49-3_amd64.deb
 6fccf2a4006894bdb633b091a7a93477 4124484 misc optional mysql-server-core-5.1_5.1.49-3_amd64.deb
 f641e9361fc5f384df8e11874a55617f 6597864 misc optional mysql-server-5.1_5.1.49-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz1NJkACgkQr/RnCw96jQF78gCgqt9ztDMwzZK2ZM96yPCsrJSe
ebwAoIzs/4yd3xj7yppB0vdzvsFnQP4P
=Y/zk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Dec 2010 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:18:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.